apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: flask-app
  namespace: argocd
spec:
  project: default

  source:
    repoURL: https://gitlab.com/morice.nouvertne/k8-bootcamp-mnouv-infra.git
    targetRevision: HEAD
    path: dev/applications/flask-app
  destination:
    server: https://kubernetes.default.svc
    namespace: default

  syncPolicy:
    syncOptions:
      - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true
